Bug 1125827 - The page can't be access after restart if it was deployed using jboss management console
Summary: The page can't be access after restart if it was deployed using jboss managem...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1125826
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 07:42 UTC by Anping Li
Modified: 2014-08-05 01:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1125826
Environment:
Last Closed: 2014-08-05 01:34:17 UTC


Attachments (Terms of Use)

Description Anping Li 2014-08-01 07:42:55 UTC
+++ This bug was initially created as a clone of Bug #1125826 +++

It should be a long term issue. The bug can be reproduced on ose 2.0 and ose 2.1 with jboss eap 6.24 GA and jboss are 6.30 beta2, 

Description of problem:
The page can be access after deployed package and enable it, However the page became inaccessible once the app was restart.
I found there only one blank directory under jbosseap/standalone/tmp/work/jboss.web/default-host. It seems jboss management deployed the package to memory, the package disappear after restart. 

Version-Release number of selected component (if applicable):
devenv-stage_939


How reproducible:
Always

Steps to Reproduce:
1.create one Jboss application.
2.port forward to your desktop and the go to http://127.0.0.1:9990/, deploy/enable one war package. for example: sample.war
3.access the http://url/sample
4. restart the application and access http://url/sample again
5. check the deployment directory
find . -name sample* 

Actual results:
For step 3: the page can be access.
For step 4: the page can't be access.
For step 5: there is only one empty directory jbosseap/standalone/tmp/work/jboss.web/default-host/sample

Expected results:
The war package should be kept in application, the page can be access after app restart.

Additional info:

Comment 2 Anping Li 2014-08-04 05:22:39 UTC
DISABLE_OPENSHIFT_MANAGED_SERVER_CONFIG=true works for Online and OSE 2.1.But it doesn't works on OSE 2.0. 
Maybe we should fix it with JBOSS EAP 6.30 beta2.

Comment 4 Anping Li 2014-08-05 01:34:17 UTC
OK, will closed it


Note You need to log in before you can comment on or make changes to this bug.